package com.acethewildfire.acesbs.recipe;

import net.minecraft.item.ItemStack;
import net.minecraft.recipe.input.RecipeInput;

public record EntropicEntanglerRecipeInput(ItemStack input, ItemStack input2) implements RecipeInput {
    @Override
    public ItemStack getStackInSlot(int slot) {
        return switch (slot) {
            case 0 -> input;
            case 1 -> input2;
            default -> input;
        };
    }

    @Override
    public int getSize() {
        return 2;
    }
}
